#version 440

layout (location = 0) in vec3 vPosition;
layout (location = 1) in vec3 vVelocity;
layout (location = 2) in vec3 vColor;
layout (location = 3) in float fLifeTime;
layout (location = 4) in float fSize;
layout (location = 5) in float iUpdateTextureMillis;
layout (location = 6) in float iCurrentAnimTimeMillis;
layout (location = 7) in int iType;
layout (location = 8) in int iTexPos;

out vec3 vColorPass;
out float fLifeTimePass;
out float fSizePass;
out int iTypePass;
out int iTexPosPass;

void main()
{
   gl_Position = vec4(vPosition, 1.0);
   vColorPass = vColor;
   fSizePass = fSize;
   fLifeTimePass = fLifeTime;
   iTypePass = iType;
   iTexPosPass = iTexPos;
}