#version 440
layout (location = 0) in vec3 vPosition;
layout (location = 1) in vec3 vVelocity;
layout (location = 2) in vec3 vColor;
layout (location = 3) in float fLifeTime;
layout (location = 4) in float fSize;
layout (location = 5) in float iUpdateTextureMillis;
layout (location = 6) in float iCurrentAnimTimeMillis;
layout (location = 7) in int iType;
layout (location = 8) in int iTexPos;

out vec3 vPositionPass;
out vec3 vVelocityPass;
out vec3 vColorPass;
out float fLifeTimePass;
out float fSizePass;
out float iUpdateTextureMillisPass;
out float iCurrentAnimTimeMillisPass;
out int iTypePass;
out int iTexPosPass;

void main()
{
  vPositionPass = vPosition;
  vVelocityPass = vVelocity;
  vColorPass = vColor;
  fLifeTimePass = fLifeTime;
  fSizePass = fSize;
  iTypePass = iType;
  iUpdateTextureMillisPass = iUpdateTextureMillis;
  iTexPosPass = iTexPos;
  iCurrentAnimTimeMillisPass = iCurrentAnimTimeMillis;
}