#version 330 core

uniform vec2 nearFar;

uniform vec4 lightPosition; // in world space

in vec4 WorldSpacePosFromGeomShader;

void main(void) {

	float WorldSpaceDistance = distance(WorldSpacePosFromGeomShader, lightPosition);	
	float normalizedWorldSpaceDistance = WorldSpaceDistance/nearFar.y;
	gl_FragDepth = normalizedWorldSpaceDistance;

}